﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Search.ascx.cs" Inherits="Ajax_Search" %>

<asp:Panel ID="Container" runat="server">
    <telerik:RadTextBox ID="SearchBox" runat="server" Width="100%"
        EmptyMessage="Type to search">
        <ClientEvents OnKeyPress="searchKeyPress" />
    </telerik:RadTextBox>

    <telerik:RadListView ID="RadListView1" runat="server"
        OnNeedDataSource="RadListView1_NeedDataSource"
        ItemPlaceholderID="item" Skin="Default">
        <LayoutTemplate>
            <div id="layout" runat="server" class="RadListView RadListView_Default"
                style="max-height:400px; overflow-y:auto; overflow-x:hidden">
                <div id="item" runat="server">
                </div>
            </div>
        </LayoutTemplate>
        <ItemTemplate>
            <div class="rlvI" style="font-size:16px;">
                <%# Eval(SearchTextField) %>
            </div>
        </ItemTemplate>
    </telerik:RadListView>

    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript">
            function searchKeyPress(sender, args)
            {
                if (sender._searchTimout)
                {
                    clearTimeout(sender._searchTimout);
                }

                var searchFunc = (function ()
                {
                    return function () { searchByQuery.call(sender) };
                })();

                sender._searchTimout = setTimeout(searchFunc, 500);
            }

            function searchByQuery()
            {
                var ajaxManager = $find('<%= RadAjaxManager.GetCurrent(Page).ClientID %>');
                if (ajaxManager)
                {
                    ajaxManager.ajaxRequest("Search:" + this.get_value());
                }
            }
        </script>
    </telerik:RadScriptBlock>
</asp:Panel>